Bug 986370 - UEFI Secure Boot and Hibernate (Suspend to Disk)
Summary: UEFI Secure Boot and Hibernate (Suspend to Disk)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: multiboot-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Roberts
QA Contact: Fedora Docs QA
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-19 15:16 UTC by Justin M. Bennett
Modified: 2019-11-07 15:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 15:30:22 UTC


Attachments (Terms of Use)

Description Justin M. Bennett 2013-07-19 15:16:20 UTC
Description of problem:
With OEMs shipping preloads of Windows 8 on new purchase computers, UEFI tends to be enabled by default.  Though Fedora can work with a secure boot UEFI bios, certain features have been disable (See Fedora 18 UEFI Secure Boot Edition 18.4).

As hibernation (suspend to disk) functionality has been disabled on an UEFI Secure Boot system, users need to be aware, prior to installation of Fedora (as sole OS on the system), whether to enable or disable this functionality.

Those using Fedora on a laptop/netbook, shouldn't discover *after* completing installation, that hibernation has been disabled.  It becomes a huge pain, to google how to disable the /boot/efi partition, and grub2, if even possible.

If not documented or referenced in the install-guide, CommonBugs should make note of this issue.

Version-Release number of selected component (if applicable):
Fedora 18, Fedora 19

How reproducible:
Install Fedora on a system with a Secure Boot, UEFI, enabled bios.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Chris Roberts 2013-07-19 18:13:06 UTC
I am working on a dual boot Fedora and Windows 8 Guide, I will work on putting some info regarding this into the guide. I have assigned myself to this bug

Comment 2 Justin M. Bennett 2013-07-19 19:51:52 UTC
Awesome.  Dual boot provides one solution for a system running Fedora and another OS (take your pick of Windows, and/or OS X).

May I suggest such guide additionally make reference to running Windows 7/8 within a virtual environment?  Perhaps advanced for the scope of users just beginning to use Fedora; However, staying within Fedora, with the ability to access (thru VM) MS Windows, would prove itself in furthering adaptation of "Linux on the desktop"

Secure Boot with KVM already having been documented for Fedora here:  https://fedoraproject.org/wiki/Testing_secureboot_with_KVM

Comment 3 Hin-Tak Leung 2014-09-16 18:55:50 UTC
I was thinking of filing a bug against systemd - it is bloody unhelpful to tell me to look at 'journalctl -xn' when 'systemctl hibernate' fails.

Fc20, dual booting with win 8.1 (new laptop). Didn't read install guide before doing so - after all, the liveusb works, and the 'install to hd' option works from there... :-(.

Comment 4 Hin-Tak Leung 2014-10-07 20:35:34 UTC
My problems with the unhelpful message is filed as bug 1150289 .

I read that there are some kernel patches floating around for enabling crypto-signatures on the hibernated image and verify on wake, to satisfy the requirement
for hibernation under secure boot. Is there any feature/enhancement bug for that?

Comment 5 Petr Bokoc 2019-11-07 15:30:22 UTC
I'm closing this bug as part of a Bugzilla cleanup effort. The most likely reason is that the bug has been opened either against a component we no longer publish, or against Release Notes for an EOL release.


Note You need to log in before you can comment on or make changes to this bug.